---
title: 'VideoTrackList: removetrack event'
slug: Web/API/VideoTrackList/removetrack_event
tags:
  - API
  - Media Streams API
  - MediaStreamTrackEvent
  - NeedsBrowserCompatibility
  - Reference
  - Removing Tracks
  - events
  - removeTrack
---
<div>{{APIRef}}</div>

<p>The <code>removetrack</code> event is fired when a track is removed from a <code><a href="/en-US/docs/Web/API/VideoTrackList">VideoTrackList</a></code>.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("TrackEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/VideoTrackList/onremovetrack">onremovetrack</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js">const videoElement = document.querySelector('video');

videoElement.videoTracks.addEventListener('removetrack', (event) =&gt; {
  console.log(`Video track: ${event.track.label} removed`);
});</pre>

<p>Using the <code>onremovetrack</code> event handler property:</p>

<pre class="brush: js">const videoElement = document.querySelector('video');

videoElement.videoTracks.onremovetrack = (event) =&gt; {
  console.log(`Video track: ${event.track.label} removed`);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'media.html#event-media-removetrack', 'removetrack')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoTrackList.removetrack_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: <code><a href="/en-US/docs/Web/API/VideoTrackList/addtrack_event">addtrack</a></code>, <code><a href="/en-US/docs/Web/API/VideoTrackList/change_event">change</a></code></li>
 <li>This event on <code><a href="/en-US/docs/Web/API/AudioTrackList">AudioTrackList</a></code> targets: <code><a href="/en-US/docs/Web/API/AudioTrackList/removetrack_event">removetrack</a></code></li>
 <li>This event on <code><a href="/en-US/docs/Web/API/MediaStream">MediaStream</a></code> targets: <code><a href="/en-US/docs/Web/API/MediaStream/removetrack_event">removetrack</a></code></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Streams API</a></li>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
</ul>
